Bug 1876471 - auth-operator: RouterCertsDegraded message impossible to understand
Summary: auth-operator: RouterCertsDegraded message impossible to understand
Keywords:
Status: VERIFIED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: apiserver-auth
Version: 4.6
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.6.0
Assignee: Michal Fojtik
QA Contact: pmali
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-07 09:51 UTC by Stefan Schimanski
Modified: 2020-09-22 06:18 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift cluster-authentication-operator pull 336 None closed Bug 1876471: Add ingress-operator as provider for router-certs 2020-09-21 08:23:34 UTC

Internal Links: 1879253

Description Stefan Schimanski 2020-09-07 09:51:19 UTC
Description of problem:

The authentication operator reports a route problem. But it is not clear from the message what is broken. Is this an auth operator issue? Is routing broken?

                    {
                        "lastTransitionTime": "2020-09-01T09:53:37Z",
                        "message": "RouterCertsDegraded: secret/v4-0-config-system-router-certs -n openshift-authentication: could not be retrieved: secret \"v4-0-config-system-router-certs\" not found\nConfigObservationDegraded: secret \"v4-0-config-system-router-certs\" not found\nIngressStateEndpointsDegraded: No endpoints found for oauth-server",
                        "reason": "ConfigObservation_Error::IngressStateEndpoints_MissingEndpoints::RouterCerts_NoRouterCertSecret",
                        "status": "True",
                        "type": "Degraded"
                    },

Expected results:

A message that a user can understand and which points to the faulty component.


Note You need to log in before you can comment on or make changes to this bug.